# PrebuiltSharedLibraryBinary

API Documentation: | `PrebuiltSharedLibraryBinary`

Note: This class is incubating and may change in a future version of Gradle.

A shared library that exists at a known location on the filesystem.

### Properties

Property | Description
`buildType` | Incubating The `BuildType` used to construct this binary.
`flavor` | Incubating The flavor that this binary was built with.
`sharedLibraryFile` | Incubating The shared library file.
`sharedLibraryLinkFile` | Incubating The shared library link file.
`targetPlatform` | Incubating The `NativePlatform` that this binary is targeted to run on.

### Methods

No methods

### Script blocks

No script blocks

### Property details

#### `BuildType` `buildType` (read-only)

Note: This property is incubating and may change in a future version of Gradle.

The `BuildType` used to construct this binary.

#### `Flavor` `flavor` (read-only)

Note: This property is incubating and may change in a future version of Gradle.

The flavor that this binary was built with.

#### `File` `sharedLibraryFile` (read-only)

Note: This property is incubating and may change in a future version of Gradle.

The shared library file.

#### `File` `sharedLibraryLinkFile` (read-only)

Note: This property is incubating and may change in a future version of Gradle.

The shared library link file.

#### `NativePlatform` `targetPlatform` (read-only)

Note: This property is incubating and may change in a future version of Gradle.

The `NativePlatform` that this binary is targeted to run on.